Archive the Premoderation extension
Closed, ResolvedPublicRequest

Description

Reason:

The Premoderation extension is to be archived for a few reasons:

  • it is orphan, has been imported in Gerrit in 2013 and hasn't receive any worth while code.
  • the extension has multiple tests failures (T157417 T155831 + another not filled)
  • It puts edits in a moderation queue by triggering an error!
  • wikiapiary doesn't list any wiki having it installed
hashar created this task.Jul 6 2018, 11:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2018, 11:09 AM

Change 444199 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive Premoderation extension

https://gerrit.wikimedia.org/r/444199

hashar updated the task description. (Show Details)Jul 6 2018, 11:11 AM

Change 444199 merged by jenkins-bot:
[integration/config@master] Archive Premoderation extension

https://gerrit.wikimedia.org/r/444199

Change 444275 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Remove Premoderation

https://gerrit.wikimedia.org/r/444275

Change 444275 merged by Umherirrender:
[mediawiki/extensions@master] Remove Premoderation

https://gerrit.wikimedia.org/r/444275

Umherirrender updated the task description. (Show Details)Jul 6 2018, 7:41 PM

Change 444277 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Remove Premoderation

https://gerrit.wikimedia.org/r/444277

Change 444277 merged by jenkins-bot:
[translatewiki@master] Remove Premoderation

https://gerrit.wikimedia.org/r/444277

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJul 7 2018, 7:56 PM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Jul 8 2018, 9:08 PM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a subscriber: MarcoAurelio.

Change 444472 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Premoderation@master] Archive the Premoderation extension

https://gerrit.wikimedia.org/r/444472

Change 444472 merged by MarcoAurelio:
[mediawiki/extensions/Premoderation@master] Archive the Premoderation extension

https://gerrit.wikimedia.org/r/444472

MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.
MarcoAurelio moved this task from unsorted/backlog to archive on the User-MarcoAurelio board.
hashar closed this task as Resolved.
hashar updated the task description. (Show Details)